Robomow Help Center Type your question Or Choose a category to find the help you need

Which mobile devices are supported by the Android version of the Robomow App?

The Android version of the Robomow App works with most Android devices that support the Bluetooth® 4.0 (a.k.a. Bluetooth® SMART or BLE) standard. The most popular devices used with the Robomow App include:

  • Samsung Galaxy S3, S4, S5, S6, S6 Edge, S7 Edge
  • Samsung Galaxy Samsung Galaxy Note 2 (from 30/05/2014), Note 3
  • HTC One X One, Nexus 5/6, LG G2/G3, Sony Xperia Z3

For the full list of mobile devices supporting Bluetooth® 4.0 standard please refer to the following link: http://www.bluetooth.com/Pages/Bluetooth-Smart-Devices-List.aspx.  

Only devices from this list, which run Android 4.3 or higher, can work with Robomow App.